function discovery_config() {

	this.source_obj = null;
	this.callback = null;
	this.auto_discovery = 0;
	this.auto_import = 0;

	this.save_auto_discovery = function(source_obj, callback) {

		this.source_obj = source_obj;
		this.callback = callback;

		var my_data = {
			url: "/opmon/seagull/www/index.php/discovery/action/auto_discovery",
			status: this.auto_discovery,
			operation: 'set'
		};

		do_request(my_data, this, "saved");
	}

	this.save_auto_import = function(source_obj, callback) {

		this.source_obj = source_obj;
		this.callback = callback;

		var my_data = {
			url: "/opmon/seagull/www/index.php/discovery/action/auto_import",
			status: this.auto_import,
			operation: 'set'
		};

		do_request(my_data, this, "saved");
	}

	this.saved = function(msg) {
		var obj;

		if (!msg) {
			_err("discovery_config.saved: something terrible wrong happened");
			this.source_obj[this.callback](false,msg);
			return;
		}

		obj = json_decode(msg);
		if (!obj) {
			_err("discovery_config.saved: unable to parse json");
			this.source_obj[this.callback](false,msg);
			return;	
		}

		if (!obj.success) {
			_err("discovery_config.saved: unable to set auto{discovery,import} status")
			this.source_obj[this.callback](false,msg);
		}

		this.source_obj[this.callback](true,this);

	}

}
