function running_jobs_updater() {

	this.source_object = null;
	this.callback = null;

	this.set_callback = function(obj, callback) {
		this.source_object = obj;
		this.callback = callback;
	}

	this.fetch = function() {
		var post_data = {
			url: '/opmon/seagull/www/index.php/discovery/action/discovery_jobs'
		};
		


		do_request(post_data, this, "do_callback");
	}

	this.do_callback = function(msg) {
		var ret;

		ret = json_decode(msg);
		if (!ret) {
			_err("running_jobs_updater.do_callback: unable to parse json");
			return;
		}

		this.source_object[this.callback](ret);
	}

	this.remove_job = function(id) {

		var post_data = {
			url: '/opmon/seagull/www/index.php/discovery/action/discovery_jobs',
			operation: 'cancel',
			job_id: id
		};

		do_request(post_data, this, "do_callback");
	}


}
